#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		module	PyGitUp
Summary:	git-up(1) -- fetch and rebase all locally-tracked remote branches
Name:		python-%{module}
Version:	1.1.5
Release:	2
License:	BSD
Group:		Libraries/Python
Source0:	https://github.com/msiemens/PyGitUp/archive/v%{version}.tar.gz?/%{module}-v%{version}.tar.gz
# Source0-md5:	9d271f0b1867307efbb8365ae88fe941
Patch0:		requirements.patch
URL:		https://github.com/msiemens/PyGitUp
BuildRequires:	rpm-pythonprov
# if py_postclean is used
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	python-git >= 0.3.2.1
BuildRequires:	python-async
BuildRequires:	python-colorama >= 0.2.4
BuildRequires:	python-distribute
BuildRequires:	python-docopt >= 0.6.1
BuildRequires:	python-gitdb
BuildRequires:	python-nose
BuildRequires:	python-smmap
BuildRequires:	python-termcolor >= 1.1.0
Requires:	python-git >= 0.3.2-0.RC1.2
Requires:	python-async
Requires:	python-colorama >= 0.2.4
Requires:	python-docopt >= 0.6.1
Requires:	python-gitdb
Requires:	python-modules
Requires:	python-nose
Requires:	python-smmap
Requires:	python-termcolor >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
git-up(1) -- fetch and rebase all locally-tracked remote branches.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%py_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/git-up
%attr(755,root,root) %{_bindir}/gitup.py
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{py_sitescriptdir}/%{module}/check-bundler.rb
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/git_up-*.egg-info
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyGitUp.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 378949d
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 298e403
- automatic change: use py_build/py_install macros

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> a87f81c
- updated to 1.1.5

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> 3c48429
- rel 1

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> 8ea250c
- disabled auto-dep for gitpython

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> a0b5bf5
- disabled tests
- cleaned up files
- fixed deps

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> a702c51
- fix python-git deps

* Thu Jul 03 2014 Jan Rękorajski <baggins@pld-linux.org> 5d7881f
- added deps and description

* Thu Jul 03 2014 Jan Rękorajski <baggins@pld-linux.org> 615730f
- added URL

* Thu Jul 03 2014 Jan Rękorajski <baggins@pld-linux.org> 06d5ad3
- initial revision, BR/R not filled

